Hi

Sorry for my bad English, I'm French.

I try to build PostgreSQL 7.1.3 on my HP-UX 9.01A. The compile work but I
have problem with the link.
He said :

[cut]
gcc -O2 -Wall -Wmissing-prototypes -Wmissing-declarations -L/lib/pa1.1 -Wl,
+b -Wl,/usr/local/pgsql/lib -Wl,-z -Wl,-E access/SUBSYS.o
bootstrap/SUBSYS.o catalog/SUBSYS.o parser/SUBSYS.o commands/SUBSYS.o
executor/SUBSYS.o lib/SUBSYS.o libpq/SUBSYS.o main/SUBSYS.o nodes/SUBSYS.o
optimizer/SUBSYS.o port/SUBSYS.o postmaster/SUBSYS.o regex/SUBSYS.o
rewrite/SUBSYS.o storage/SUBSYS.o tcop/SUBSYS.o utils/SUBSYS.o -lBSD -lc -
lBSD -ldld -lm -lbsd -lreadline -lcurses -o postgres
/bin/ld: Unsatisfied symbols:
translate_error (code)
TIMER (code)
FPOINT (code)
HPACDPUT (code)
_fn_offset (data)
ccode (code)
_mpe_fileno (code)
FCONTROL (code)
FFILEINFO (code)
collect2: ld returned 1 exit status
make[2]: *** [postgres] Error 1
[cut]

I think I need one library but I don't know witch one.
I have the latest version of make, yacc, bison and the version 2.95.2 of
gcc. The libbsd come from the HP/300 website.


Many thanks

--
Marc

Search Discussions

Related Discussions

Discussion Navigation
viewthread | post
posts ‹ prev | 1 of 1 | next ›
Discussion Overview
grouppgsql-ports @
categoriespostgresql
postedNov 16, '01 at 3:07p
activeNov 16, '01 at 3:07p
posts1
users1
websitepostgresql.org
irc#postgresql

1 user in discussion

M. Baur: 1 post

People

Translate

site design / logo © 2022 Grokbase